Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 729628

Summary: media-libs/x265-3.4 stabilisation and cleanup old
Product: Gentoo Linux Reporter: Andreas Sturmlechner <asturm>
Component: StabilizationAssignee: media-video herd <media-video>
Status: RESOLVED FIXED    
Severity: normal CC: pacho
Priority: Normal Keywords: CC-ARCHES
Version: unspecifiedFlags: nattka: sanity-check+
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
media-libs/x265-3.4
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 698100    

Description Andreas Sturmlechner gentoo-dev 2020-06-25 14:37:43 UTC
Please add arches when ready.
Comment 1 Andreas Sturmlechner gentoo-dev 2020-08-21 11:02:21 UTC
How about it then?
Comment 2 Andreas Sturmlechner gentoo-dev 2020-08-27 13:59:16 UTC
No objections?
Comment 3 Andreas Sturmlechner gentoo-dev 2020-09-03 14:18:02 UTC
No comment no care I guess.
Comment 4 Thomas Deutschmann gentoo-dev Security 2020-09-03 14:38:35 UTC
x86 stable
Comment 5 Sam James archtester gentoo-dev Security 2020-09-04 00:21:50 UTC
arm{,64} stable
Comment 6 Sam James archtester gentoo-dev Security 2020-09-04 04:54:53 UTC
amd64 done
Comment 7 Anton Bolshakov 2020-09-06 00:29:00 UTC
>>> Failed to emerge media-libs/x265-3.4, Log file:
>>>  '/var/tmp/portage/media-libs/x265-3.4/temp/build.log'
>>> Jobs: 10 of 16 complete, 1 failed               Load avg: 1.94, 2.33, 1.69
>>> Downloading 'http://mirror.rise.ph/gentoo/distfiles/9b/x265_3.4.tar.gz'
--2020-09-06 08:26:53--  http://mirror.rise.ph/gentoo/distfiles/9b/x265_3.4.tar.gz
Resolving mirror.rise.ph... 43.226.6.79
Connecting to mirror.rise.ph|43.226.6.79|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2020-09-06 08:26:53 ERROR 404: Not Found.

>>> Downloading 'https://bitbucket.org/multicoreware/x265/downloads/x265_3.4.tar.gz'
--2020-09-06 08:26:53--  https://bitbucket.org/multicoreware/x265/downloads/x265_3.4.tar.gz
Resolving bitbucket.org... 18.205.93.0, 18.205.93.1, 18.205.93.2, ...
Connecting to bitbucket.org|18.205.93.0|:443... connected.
HTTP request sent, awaiting response... 404 Not Found
2020-09-06 08:26:55 ERROR 404: Not Found.

!!! Couldn't download 'x265_3.4.tar.gz'. Aborting.
 * Fetch failed for 'media-libs/x265-3.4', Log file:
 *  '/var/tmp/portage/media-libs/x265-3.4/temp/build.log'
Comment 8 Sergei Trofimovich (RETIRED) gentoo-dev 2020-09-06 08:17:47 UTC
hppa stable
Comment 9 Sergei Trofimovich (RETIRED) gentoo-dev 2020-09-07 18:28:16 UTC
ppc64 stable
Comment 10 Sergei Trofimovich (RETIRED) gentoo-dev 2020-09-08 06:57:16 UTC
ppc stable

Last arch. Closing.
Comment 11 Larry the Git Cow gentoo-dev 2020-09-08 18:08:12 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91c314279cf31e6605927cf49e144fc2ddb2896d

commit 91c314279cf31e6605927cf49e144fc2ddb2896d
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-09-08 17:10:38 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-09-08 18:07:42 +0000

    media-libs/x265: Drop 2.8, 2.9, 3.0, 3.1*, 3.2*, 3.3
    
    Closes: https://bugs.gentoo.org/729628
    Package-Manager: Portage-3.0.5, Repoman-3.0.1
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-libs/x265/Manifest                       |   8 -
 media-libs/x265/files/arm.patch                |  34 ----
 media-libs/x265/files/non_x86.patch            |  20 ---
 media-libs/x265/files/ppc64.patch              |  15 --
 media-libs/x265/files/x265-2.9-detect512.patch |  25 ---
 media-libs/x265/files/x265-3.3-arm.patch       |  34 ----
 media-libs/x265/files/x265-3.3-neon.patch      |  16 --
 media-libs/x265/metadata.xml                   |   1 -
 media-libs/x265/x265-2.8.ebuild                | 197 ----------------------
 media-libs/x265/x265-2.9.ebuild                | 197 ----------------------
 media-libs/x265/x265-3.0.ebuild                | 196 ----------------------
 media-libs/x265/x265-3.1.2.ebuild              | 196 ----------------------
 media-libs/x265/x265-3.1.ebuild                | 196 ----------------------
 media-libs/x265/x265-3.2.1.ebuild              | 196 ----------------------
 media-libs/x265/x265-3.2.ebuild                | 196 ----------------------
 media-libs/x265/x265-3.3.ebuild                | 220 -------------------------
 16 files changed, 1747 deletions(-)